bug-cvs
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

PAM in cvs 1.11


From: Yves Dorfsman
Subject: PAM in cvs 1.11
Date: Thu, 07 Apr 2005 14:13:16 -0600 (MDT)
User-agent: SquirrelMail/1.4.4

Hi,

I am on a site where they are changing the way the OS is authenticating
users, moving away from NIS to LDAP. My understanding is that the only way
to get CVS working in pserver mode in that case is to use PAM.

PAM is supported in CVS 1.12, but this customer does not want to run a
non-release version of a software.

>From what I can see, it should be relatively easy to put the piece that
deals with PAM from 1.12 and put it in 1.11, and my next step is to try to
do that (copying the relevant pieces in src/server from 1.12 to 1.11). A
few questions:

1) Has anybody else done this already (so that we don't waste our time
re-inventing the wheel) ?

2) is there any reason why it shouldn't be attempted ?

3) If we do it and make it work, is there a chance to get that integrated
in a future release of CVS 1.11 ?

4) If so, what is the procedure to have a patch like this one added back
into the main tree ?? What sort of time frame should we expect ?


Thanks.


Yves.
----
Yves Dorfsman                                             address@hidden
                                         http://www.cuug.ab.ca/dorfsmay
                                         http://www.SollerS.ca






reply via email to

[Prev in Thread] Current Thread [Next in Thread]